import { Chain, Network, PlatformContext } from "@wormhole-foundation/connect-sdk";
import { AptosClient } from "aptos";
import { AptosChain } from "./chain";
import { AptosChains, AptosPlatformType } from "./types";
import { Balances, SignedTx, TokenId, TxHash } from "@wormhole-foundation/connect-sdk";
import { AnyAptosAddress } from "./types";
/**
 * @category Aptos
 */
export declare class AptosPlatform<N extends Network> extends PlatformContext<N, AptosPlatformType> {
    static _platform: "Aptos";
    getRpc<C extends AptosChains>(chain: C): AptosClient;
    getChain<C extends AptosChains>(chain: C, rpc?: AptosClient): AptosChain<N, C>;
    static nativeTokenId<N extends Network, C extends AptosChains>(network: N, chain: C): TokenId<C>;
    static isNativeTokenId<N extends Network, C extends AptosChains>(network: N, chain: C, tokenId: TokenId): boolean;
    static isSupportedChain<C extends AptosChains>(chain: C): boolean;
    static getDecimals(chain: Chain, rpc: AptosClient, token: AnyAptosAddress | "native"): Promise<bigint>;
    static getBalance(chain: Chain, rpc: AptosClient, walletAddress: string, token: AnyAptosAddress | "native"): Promise<bigint | null>;
    static getBalances(chain: Chain, rpc: AptosClient, walletAddress: string, tokens: (AnyAptosAddress | "native")[]): Promise<Balances>;
    static sendWait(chain: Chain, rpc: AptosClient, stxns: SignedTx[]): Promise<TxHash[]>;
    static getLatestBlock(rpc: AptosClient): Promise<number>;
    static getLatestFinalizedBlock(rpc: AptosClient): Promise<number>;
    static chainFromChainId(chainId: number): [Network, AptosChains];
    static chainFromRpc(rpc: AptosClient): Promise<[Network, AptosChains]>;
}
//# sourceMappingURL=platform.d.ts.map